Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## drm.agentbase
Class Logger

    java.lang.Object
      |
      +--drm.agentbase.Logger

public abstract class Logger
extends java.lang.Object

Static class that serves as an entry point for logging information. It is a part of the protocol specification so eg any compliant agent is allowed to use this class.

This class only forwards messages to registered handlers. Any functionality like storing, searching, etc of messages must be implemented by handlers if necessary. The handlers can be registered and removed. By default there are no listeners.

See Also:
  `ILogListener`

Method Summary
`static void` | `addListener(ILogListener l)`
`static void` | `debug(java.lang.String sender, java.lang.String comment)`
`static void` | `error(java.lang.String sender, java.lang.String comment, java.lang.Throwable thr)`
`static void` | `info(java.lang.String sender, java.lang.String comment)`
`static void` | `log(int type, java.lang.String sender, java.lang.String comment, java.lang.Throwable thr)` Notfies listeners that log information was emitted.
`static void` | `panic(java.lang.String sender, java.lang.String comment, java.lang.Throwable thr)`
`static void` | `removeListener(ILogListener l)`
`static void` | `warning(java.lang.String sender, java.lang.String comment, java.lang.Throwable thr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addListener

    public static void addListener(ILogListener l)

### removeListener

    public static void removeListener(ILogListener l)

### log

    public static void log(int type,
                           java.lang.String sender,
                           java.lang.String comment,
                           java.lang.Throwable thr)

  Notfies listeners that log information was emitted.
  Parameters:
    `type` - The kind of the logged message.
    `sender` - An optional string that identifies the sender, e.g. the name of the function that sends the message.
    `comment` - An optional explanatory message.
    `thr` - An optional Throwable object that caused this event.

### panic

    public static void panic(java.lang.String sender,
                             java.lang.String comment,
                             java.lang.Throwable thr)

  Parameters:
    `sender` - An optional string that identifies the sender, e.g. the name of the function that sends the message.
    `comment` - An optional explanatory message.
    `thr` - An optional Throwable object that caused this event.

### error

    public static void error(java.lang.String sender,
                             java.lang.String comment,
                             java.lang.Throwable thr)

  Parameters:
    `sender` - An optional string that identifies the sender, e.g. the name of the function that sends the message.
    `comment` - An optional explanatory message.
    `thr` - An optional Throwable object that caused this event.

### warning

    public static void warning(java.lang.String sender,
                               java.lang.String comment,
                               java.lang.Throwable thr)

  Parameters:
    `sender` - An optional string that identifies the sender, e.g. the name of the function that sends the message.
    `comment` - An optional explanatory message.
    `thr` - An optional Throwable object that caused this event.

### debug

    public static void debug(java.lang.String sender,
                             java.lang.String comment)

  Parameters:
    `sender` - An optional string that identifies the sender, e.g. the name of the function that sends the message.
    `comment` - An optional explanatory message.

### info

    public static void info(java.lang.String sender,
                            java.lang.String comment)

  Parameters:
    `sender` - An optional string that identifies the sender, e.g. the name of the function that sends the message.
    `comment` - An optional explanatory message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD